from django.contrib.auth.models import User
from django.shortcuts import render

# Create your views here.
from catalog.models import Search, Purchase


def Users(request):
    user_data = []
    user_statics = []
    user = User.objects.get(pk=request.user.id)

    searches = Search.objects.filter(user_id=user.id)

    purchases = Purchase.objects.filter(user_id=user.id)
    in_process = Purchase.objects.filter(user_id=user.id).exclude(progress=100)


    user_data.append({
        "user_fullname": user.first_name+" "+user.last_name,
        "searches": searches.count(),
        "purchases": purchases.count(),
        "in_process": in_process.count(),
    })

    user_statics.append({
        "user_fullname": user.first_name + " " + user.last_name,
        "searches": searches.count(),
        "purchases": purchases.count(),
        "in_process": in_process.count(),
    })

    return render(request,'User_profile.html',{"user_data" : user_data} )

#----------------------------------------------------------------------
def User_id(request,user_id):
    user_data = []
    user = User.objects.get(pk=user_id)

    searches = Search.objects.filter(user_id=user.id)

    purchases = Purchase.objects.filter(user_id=user.id).order_by('aggreg_date')
    in_process = Purchase.objects.filter(user_id=user.id).exclude(progress=100)

    user_data.append({
        "user_fullname": user.first_name+" "+user.last_name,
        "searches": searches.count(),
        "purchases": purchases.count(),
        "in_process": in_process.count(),
    })


    return render(request,'User_profile.html',{"user_data" : user_data} )